<script type="text/javascript">
    var applePayOption = document.getElementById('dt_method_msp_applepay');
    applePayOption.style.display = 'none';

    try {
        if (window.ApplePaySession && ApplePaySession.canMakePayments()) {
            applePayOption.style.display = 'block';
        }
    } catch (error) {
        console.debug('An error occurred while verifying if Apple Pay is available:', error);
    }
</script>

